Holger's Java API

## com.antelmann.util
Class SecurityUtils

    java.lang.Object
      com.antelmann.util.SecurityUtils

    public final class SecurityUtils

extends Object

a collection of security related names of supported algorithms - just for reference.

Author:
  Holger Antelmann

Constructor Summary
`SecurityUtils()`

Method Summary
`static String[]` `getAlgorithmParameterGenerators()`
`static String[]` `getAlgorithmParameters()`
`static String[]` `getCertificateTypes()`
`static String[]` `getCypherAlgorithms()`
`static String[]` `getCypherModes()`
`static String[]` `getCypherPaddings()`
`static String[]` `getDitigalSignatureAlgorithms()`
`static String[]` `getKeyAgreements()`
`static String[]` `getKeyAlgorithms()`
`static String[]` `getKeyFactories()`
`static String[]` `getKeyGenerators()`
`static String[]` `getKeyPairGenerators()`
`static String[]` `getKeyStoreTypes()`
`static String[]` `getMacs()`
`static String[]` `getMessageDigestAlgorithms()`
`static String[]` `getRandomNumberGenerationAlgorithms()`
`static String[]` `getSecretKeyFactories()`
`static String[]` `getSslProtocols()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityUtils

    public SecurityUtils()

Method Detail

### getMessageDigestAlgorithms

    public static final String[] getMessageDigestAlgorithms()

### getKeyAlgorithms

    public static final String[] getKeyAlgorithms()

### getDitigalSignatureAlgorithms

    public static final String[] getDitigalSignatureAlgorithms()

### getRandomNumberGenerationAlgorithms

    public static final String[] getRandomNumberGenerationAlgorithms()

### getCertificateTypes

    public static final String[] getCertificateTypes()

### getSslProtocols

    public static final String[] getSslProtocols()

### getKeyStoreTypes

    public static final String[] getKeyStoreTypes()

### getCypherAlgorithms

    public static final String[] getCypherAlgorithms()

### getCypherModes

    public static final String[] getCypherModes()

### getCypherPaddings

    public static final String[] getCypherPaddings()

### getKeyAgreements

    public static final String[] getKeyAgreements()

### getKeyGenerators

    public static final String[] getKeyGenerators()

### getKeyPairGenerators

    public static final String[] getKeyPairGenerators()

### getSecretKeyFactories

    public static final String[] getSecretKeyFactories()

### getKeyFactories

    public static final String[] getKeyFactories()

### getAlgorithmParameterGenerators

    public static final String[] getAlgorithmParameterGenerators()

### getAlgorithmParameters

    public static final String[] getAlgorithmParameters()

### getMacs

    public static final String[] getMacs()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads